| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::generic_file_overlay_for_gpgme Class Reference

Inherits libdar::on_pool.

## Public Member Functions
| generic_file_overlay_for_gpgme (generic_file *f)
| generic_file_overlay_for_gpgme (const generic_file_overlay_for_gpgme &ref)
| no copy constructor allowed
const generic_file_overlay_for_gpgme | operator= (const generic_file_overlay_for_gpgme &ref)
| no asignment operator
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

Definition at line 45 of file generic_file_overlay_for_gpgme.hpp.

## Constructor & Destructor Documentation

libdar::generic_file_overlay_for_gpgme::generic_file_overlay_for_gpgme | ( | generic_file * | f | ) |

create a gpgme data buffer of the given generic_file

Parameters

  [in] | f | is a pointer to an existing generic_file that must exist during the whole live of this overlay object

The documentation for this class was generated from the following file:

- generic_file_overlay_for_gpgme.hpp